<?php

include_once($_SESSION['sys']['basedir'].'/lib/overview_utils.php');

if (empty($_SESSION['overview_stunden.year'])) $_SESSION['overview_stunden.year'] = 0;

$mask = array(
	      'table' => 'einsatz',
	      'title' => 'Stundenübersicht nach Kostenstellen',
	      'join' => array(
			      'arbeitsarten ON einsatz.arbeiten = arbeitsarten.id',
			      'einsatzpersonal ON einsatzpersonal.einsatz = einsatz.id',
			      'einsatzgeraete ON einsatzgeraete.einsatz = einsatz.id',
			      'gebiet ON einsatz.gebiet = gebiet.id',
			      'kostenstellen ON einsatz.kostenstelle = kostenstellen.id',
			      'personal ON einsatzpersonal.personal = personal.id',
			      'gerate ON einsatzgeraete.geraet = gerate.id',
			      'anbaugeraete ON einsatzgeraete.anbaugeraet = anbaugeraete.id',
			      ),
	      'where' => "arbeitsarten.arbeitsart <> 'Urlaub' AND arbeitsarten.arbeitsart <> 'Krank' AND arbeitsarten.arbeitsart <> 'Sonstige Fehltage'"
		       . " AND date_part('year', datum) = " . $_SESSION['overview_stunden.year'],
	      'select' => array(
				'title' => 'Auswahl',
				'options' => discover_years(),
				'default' => 'Jahr wählen',
				'selected' => $_SESSION['overview_stunden.year'],
				'onchange' => "setvar(this,'year',select_year_calback,select_year_status)",
				),
	      'variables' => array(
				   'year' => array(),
				   ),
 	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'width' => 60,
					    'sql' => 'einsatz.id',
					    ),
			      'datum' => array(
					    'name' => 'Datum',
					    'type' => 'date',
					    'width' => 70,
					    ),
			      'gebiet' => array(
					    'name' => 'Gebiet',
					    'sql' => "gebiet.gebiet",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'sql' => "kostenstellen.kostenstelle",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'arbeitsarten' => array(
					    'name' => 'Arbeiten',
					    'sql' => "arbeitsarten.arbeitsart",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'personal' => array(
					    'name' => 'Mitarbeiter',
					    'sql' => "personal.vorname || ' ' || personal.name",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'stunden' => array(
					    'name' => 'Mitarbeiterstunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 60,
					    'sql' => 'einsatzpersonal.stunden'
					    ),
			      'geraet' => array(
					    'name' => 'Gerät',
					    'sql' => "gerate.geraet",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'anbaugeraet' => array(
					    'name' => 'Anbaugerät',
					    'sql' => "anbaugeraete.anbaugeraet",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'geraetstunden' => array(
					    'name' => 'Gerätstunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 60,
					    'sql' => 'einsatzgeraete.stunden'
					    ),
			      'gesamtstunden' => array(
					    'name' => 'Gesamtstunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 60,
					    'sql' => 'einsatzpersonal.stunden + einsatzgeraete.stunden',
					    ),
			      'stdlfdm' => array(
					    'name' => 'Stunden pro lfdm',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 60,
					    'sql' => '(einsatzpersonal.stunden + einsatzgeraete.stunden) / laenge',
					    ),
			      ),
	      );

?>
